/* 
 * Copyright (C) 2001 Sonal Bansal <sonal_b@yahoo.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.javapal.CellQuotes;

/* This class holds various constant values, such as file names etc.
 */
public final class Constants
{
	// These represent some time constants
	static final int SEC = 1000;
	static final int MIN = SEC * 60;
	static final int HOUR = MIN * 60;

	// The Object on which multiple servlet threads synchronize for
	// data integrity
	static Object syncObject = new Object();

	// The names and locations of various resources used in the 
	// solution
	static String getHTMLFile = "CQForm.htm";
	static String profilesFile = "Profiles.txt";
	static String tempQuotesFile = "Quotes.csv";
	static String providerRegistryFile = "CPRegistry.txt";
	static String transactionFile = "Transact.txt";
	static String lockFile = "Locked.txt";
}
