/* 
 * Copyright (C) 2001 Sonal Bansal <sonal_b@yahoo.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.javapal.CellQuotes;

import java.io.*;
import java.net.*;
import java.text.*;
import java.util.*;

/* This is an implementation for US CellOne Cellular Service Provider */
public class USCellOne implements CellProvider
{
	/* Sends a text message to specified cell number
	 */
	public void sendMessage(String number,String message) throws Exception
	{
		String strCellUrl = "http://message.c1chicago.com/wash/sms_send.cgi";
		String strData = new String();
		strData = "dest_phone=" + URLEncoder.encode(number);
		strData = strData + "&callback_phone=" + URLEncoder.encode("123-45-6789");
		strData = strData + "&msg=" + URLEncoder.encode(message);

		int date,month,hour,minute;
		String ampm = new String();
		Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("CST"));
		date = cal.get(cal.DAY_OF_MONTH);
		month = cal.get(cal.MONTH) + 1;
		hour = cal.get(cal.HOUR);
		minute = cal.get(cal.MINUTE) + 1;
		ampm = ( (cal.get(cal.AM_PM) == cal.AM) ? "a" : "p");
		
		strData = strData + "&priority=normal&send_date=" + URLEncoder.encode(month + "/" + date) ;
		strData = strData + "&send_time=" + URLEncoder.encode(hour + ":" + minute) ;
		strData = strData + "&ampm=" + ampm + "&submit.x=58&submit.y=4" ;

		URL cellUrl = new URL(strCellUrl);
		HttpURLConnection conn = (HttpURLConnection) cellUrl.openConnection();
		conn.setRequestMethod("POST");
		conn.setDoOutput(true);
		conn.setDoInput(true);
		conn.setUseCaches(false);

		conn.setRequestProperty ("Content-Type", "application/x-www-form-urlencoded");
		
		DataOutputStream dos = new DataOutputStream (conn.getOutputStream ());
		dos.writeBytes (strData);
    		dos.flush ();
    		dos.close ();
	}

	/* Returns the name of this Cellular Provider, should be user-friendly. */
	public String getName()
	{
		return("CellOne (US)");
	}

	/* Tests if this implementation supports specified ProviderID */
	public boolean isMe(String id)
	{
		try
		{
			if(id.equals("US_CELLONE"))
			{
				return(true);
			}
		}
		catch(Exception e)
		{
		}

		return(false);
	}
}
